Bug 27850 - Search link for 260 a and c in MARC21 XSLT display
Summary: Search link for 260 a and c in MARC21 XSLT display
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-03 13:31 UTC by Fridolin Somers
Modified: 2021-11-24 23:06 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement adds search links to the MARC21 XSLT display for 260$a and $c fields for the OPAC and staff interface.
Version(s) released in:
21.11.00


Attachments
Bug 27850: Search link for 260 a and c in MARC21 XSLT display (3.61 KB, patch)
2021-03-03 14:22 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27850: Search link for 260 a and c in MARC21 XSLT display (3.81 KB, patch)
2021-03-04 08:11 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27850: Search link for 260 a and c in MARC21 XSLT display (3.87 KB, patch)
2021-03-04 09:31 UTC, David Nind
Details | Diff | Splinter Review
Bug 27850: Search link for 260 a and c in MARC21 XSLT intranet display (3.91 KB, patch)
2021-05-14 14:09 UTC, Fridolin Somers
Details | Diff | Splinter Review
Search link for 260 a and c in MARC21 XSLT OPAC display (4.20 KB, patch)
2021-05-14 14:12 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27850: Search link for 260 a and c in MARC21 XSLT OPAC display (4.21 KB, patch)
2021-05-14 14:13 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27850: Search link for 260 a and c in MARC21 XSLT intranet display (3.97 KB, patch)
2021-05-14 19:23 UTC, David Nind
Details | Diff | Splinter Review
Bug 27850: Search link for 260 a and c in MARC21 XSLT OPAC display (4.27 KB, patch)
2021-05-14 19:23 UTC, David Nind
Details | Diff | Splinter Review
Bug 27850: Search link for 260 a and c in MARC21 XSLT intranet display (4.02 KB, patch)
2021-07-23 14:34 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27850: Search link for 260 a and c in MARC21 XSLT OPAC display (4.31 KB, patch)
2021-07-23 14:34 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-03-03 13:31:11 UTC
In MARC21 XSLT display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.
Comment 1 Fridolin Somers 2021-03-03 14:22:20 UTC
Created attachment 117573 [details] [review]
Bug 27850: Search link for 260 a and c in MARC21 XSLT display

In MARC21 XSLT display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260$abc
2) Look at first record details page (using XSLT display)
3) Click on $a link => you see both records
4) Click on $c link => you see both records
Comment 2 David Nind 2021-03-03 18:40:24 UTC
If there are multiple values for a field, then the link/search only picks up the first item.

For example: 260$a with two values Beijing ; Sebastopol, CA :
==> single link, not linked individually, search is http://127.0.0.1:8081/cgi-bin/koha/catalogue/search.pl?q=pl:%22Beijing%20%3B%22
Comment 3 Fridolin Somers 2021-03-04 07:57:24 UTC
Ah good point
Comment 4 Fridolin Somers 2021-03-04 08:11:20 UTC
Created attachment 117631 [details] [review]
Bug 27850: Search link for 260 a and c in MARC21 XSLT display

In MARC21 XSLT display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260 : two $a, one $b, two $c
2) Look at first record details page (using XSLT display)
3) Click on a $a link => you see both records
4) Click on a $c link => you see both records
Comment 5 Fridolin Somers 2021-03-04 09:13:53 UTC
(In reply to David Nind from comment #2)
> If there are multiple values for a field, then the link/search only picks up
> the first item.
> 
> For example: 260$a with two values Beijing ; Sebastopol, CA :
> ==> single link, not linked individually, search is
> http://127.0.0.1:8081/cgi-bin/koha/catalogue/search.pl?q=pl:
> %22Beijing%20%3B%22

Since $a and $c are repeatable, I've added a foreach loop in order to have a link per subfield.

Thanks a lot for testing David ;)
Comment 6 David Nind 2021-03-04 09:31:20 UTC
Created attachment 117654 [details] [review]
Bug 27850: Search link for 260 a and c in MARC21 XSLT display

In MARC21 XSLT display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260 : two $a, one $b, two $c
2) Look at first record details page (using XSLT display)
3) Click on a $a link => you see both records
4) Click on a $c link => you see both records

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Katrin Fischer 2021-04-22 21:49:22 UTC
Can you please make the changes to the OPAC XSLT as well so they match?
Comment 8 Fridolin Somers 2021-04-30 14:29:54 UTC
(In reply to Katrin Fischer from comment #7)
> Can you please make the changes to the OPAC XSLT as well so they match?

Sure
Comment 9 Fridolin Somers 2021-05-14 14:09:30 UTC
Created attachment 120973 [details] [review]
Bug 27850: Search link for 260 a and c in MARC21 XSLT intranet display

In MARC21 XSLT intranet display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260 : two $a, one $b, two $c
2) Use XSLT display in staff inteface
2) Look at first record details page in staff interface
3) Click on a $a link => you see both records
4) Click on a $c link => you see both records

Signed-off-by: David Nind <david@davidnind.com>
Comment 10 Fridolin Somers 2021-05-14 14:12:35 UTC
Created attachment 120974 [details] [review]
Search link for 260 a and c in MARC21 XSLT OPAC display

In MARC21 XSLT OPAC display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260 : two $a, one $b, two $c
2) Use XSLT display in OPAC
2) Look at first record details page in OPAC
3) Click on a $a link => you see both records
4) Click on a $c link => you see both records
Comment 11 Fridolin Somers 2021-05-14 14:13:36 UTC
Created attachment 120975 [details] [review]
Bug 27850: Search link for 260 a and c in MARC21 XSLT OPAC display

In MARC21 XSLT OPAC display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260 : two $a, one $b, two $c
2) Use XSLT display in OPAC
2) Look at first record details page in OPAC
3) Click on a $a link => you see both records
4) Click on a $c link => you see both records
Comment 12 David Nind 2021-05-14 19:23:12 UTC
Created attachment 120998 [details] [review]
Bug 27850: Search link for 260 a and c in MARC21 XSLT intranet display

In MARC21 XSLT intranet display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260 : two $a, one $b, two $c
2) Use XSLT display in staff inteface
2) Look at first record details page in staff interface
3) Click on a $a link => you see both records
4) Click on a $c link => you see both records

Signed-off-by: David Nind <david@davidnind.com>
Comment 13 David Nind 2021-05-14 19:23:16 UTC
Created attachment 120999 [details] [review]
Bug 27850: Search link for 260 a and c in MARC21 XSLT OPAC display

In MARC21 XSLT OPAC display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260 : two $a, one $b, two $c
2) Use XSLT display in OPAC
2) Look at first record details page in OPAC
3) Click on a $a link => you see both records
4) Click on a $c link => you see both records

https://bugs.koha-community.org/show_bug.cgi?id=27850

Signed-off-by: David Nind <david@davidnind.com>
Comment 14 Nick Clemens 2021-07-23 14:34:31 UTC
Created attachment 123122 [details] [review]
Bug 27850: Search link for 260 a and c in MARC21 XSLT intranet display

In MARC21 XSLT intranet display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260 : two $a, one $b, two $c
2) Use XSLT display in staff inteface
2) Look at first record details page in staff interface
3) Click on a $a link => you see both records
4) Click on a $c link => you see both records

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 15 Nick Clemens 2021-07-23 14:34:34 UTC
Created attachment 123123 [details] [review]
Bug 27850: Search link for 260 a and c in MARC21 XSLT OPAC display

In MARC21 XSLT OPAC display, 260$b is a search link on 'Provider'.
$a and $c also have a search field, we can create search links.

Test plan:
1) Create 2 records with same 260 : two $a, one $b, two $c
2) Use XSLT display in OPAC
2) Look at first record details page in OPAC
3) Click on a $a link => you see both records
4) Click on a $c link => you see both records

https://bugs.koha-community.org/show_bug.cgi?id=27850

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 16 Jonathan Druart 2021-07-26 10:47:33 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 17 Kyle M Hall 2021-07-30 15:07:45 UTC
Enhancement not backported for 21.05